Package org.globus.ftp

# Class SubjectDataChannelAuthentication

java.lang.Object
org.globus.ftp.DataChannelAuthentication
org.globus.ftp.SubjectDataChannelAuthentication

public class SubjectDataChannelAuthentication extends DataChannelAuthentication
Represents subject data channel authentication.

## Field Summary

### Fields inherited from class org.globus.ftp.DataChannelAuthentication

`argument, NONE, SELF`

## Constructor Summary

Constructors
Constructor
Description
`SubjectDataChannelAuthentication(String subject)`

## Method Summary

### Methods inherited from class org.globus.ftp.DataChannelAuthentication

`equals, hashCode, setArgument, toFtpCmdArgument`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubjectDataChannelAuthentication

public SubjectDataChannelAuthentication(String subject)